###
# File........: /etc/ssh/sshd_config
# Description.: SSH Server Configuration Settings
# Author......: Issac Nolis Ohasi
# Created at..: 18.02.2022 19:35
# Version.....: 2022.01
###

###
# GENERAL SETTINGS
###
PidFile {{ sshd_pid_file_path }}
Port {{ sshd_port }}
AddressFamily {{ sshd_address_family }}
{% for sshd_listen_address in sshd_listen_addresses %}
ListenAddress {{ sshd_listen_address }}
{% endfor %}
Banner {{ sshd_banner_file_path }}
PrintMotd {{ sshd_print_motd }}
PrintLastLog {{ sshd_print_last_log }}

###
# PORT FORWARDING
###
AllowAgentForwarding {{ sshd_allow_agent_forwarding }}
AllowTcpForwarding {{ sshd_allow_tcp_forwarding }}
AllowStreamLocalForwarding {{ sshd_allow_stream_local_forwarding }}
GatewayPorts {{ sshd_gateway_ports }}
PermitTunnel {{ sshd_permit_tunnel }}

###
# AUTHENTICATION
###
{% for sshd_allow_group in sshd_allow_groups %}
AllowGroups {{ sshd_allow_group }}
{% endfor %}
PermitRootLogin {{ sshd_permit_root_login }}
PasswordAuthentication {{ sshd_password_authentication }}
PubkeyAuthentication {{ sshd_pubkey_authentication }}
AuthenticationMethods {{ sshd_authentication_methods }}
PermitEmptyPasswords {{ sshd_permit_empty_passwords }}
StrictModes {{ sshd_strict_modes }}

MaxAuthTries {{ sshd_max_auth_tries }}
MaxSessions {{ sshd_max_sessions }}
MaxStartups {{ sshd_max_startups }}
LoginGraceTime {{ sshd_login_grace_time }}

TCPKeepAlive {{ sshd_tcp_keep_alive }}
ClientAliveInterval {{ sshd_client_alive_interval }}
ClientAliveCountMax {{ sshd_client_alive_count_max }}

UsePAM {{ sshd_use_pam }}
ChallengeResponseAuthentication {{ sshd_challenge_response_authentication }}

###
# KEYS
###
{% for sshd_host_key in sshd_host_keys %}
HostKey {{ sshd_host_key }}
{% endfor %}

###
# LOGGING
###
LogLevel {{ sshd_log_level }}

###
# X11
###
X11Forwarding {{ sshd_x11_forwarding }}
X11DisplayOffset {{ sshd_x11_display_offset }}
X11UseLocalhost {{ sshd_x11_use_localhost }}

###
# LOCALE ENVIRONMENT VARIBALES
###
AcceptEnv LANG LC_*

###
# SFTP SERVICE
###
Subsystem       sftp    /usr/lib/openssh/sftp-server

###
# INCLUDES
###
Include /etc/ssh/sshd_config.d/*.conf

